# Uses of Class
it.tdlight.jni.TdApi.TelegramPaymentPurpose

## Uses of TdApi.TelegramPaymentPurpose in it.tdlight.jni

Subclasses of TdApi.TelegramPaymentPurpose in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.TelegramPaymentPurposePremiumGiftCodes`
The user creating Telegram Premium gift codes for other users.
`static final class`
`TdApi.TelegramPaymentPurposePremiumGiveaway`
The user creating a Telegram Premium giveaway.
Fields in it.tdlight.jni declared as TdApi.TelegramPaymentPurpose
Modifier and Type
Field
Description
`TdApi.TelegramPaymentPurpose`
TdApi.InputInvoiceTelegram.`purpose`
Transaction purpose.
Constructors in it.tdlight.jni with parameters of type TdApi.TelegramPaymentPurpose
Modifier
Constructor
Description
``
`InputInvoiceTelegram(TdApi.TelegramPaymentPurpose purpose)`
An invoice for a payment toward Telegram; must not be used in the in-store apps.